compact1, compact2, compact3
java.nio.file

## Class DirectoryIteratorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.ConcurrentModificationException
        - - java.nio.file.DirectoryIteratorException

- All Implemented Interfaces:
    Serializable

      public final class DirectoryIteratorException
      extends ConcurrentModificationException

  Runtime exception thrown if an I/O error is encountered when iterating over the entries in a directory. The I/O error is retrieved as an `IOException` using the `getCause()` method.
  Since:
    1.7
  See Also:
    `DirectoryStream`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DirectoryIteratorException(IOException cause)` | Constructs an instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IOException` | `getCause()` | Returns the cause of this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryIteratorException

          public DirectoryIteratorException(IOException cause)

      Constructs an instance of this class.
      Parameters:
        `cause` - the `IOException` that caused the directory iteration to fail
      Throws:
        `NullPointerException` - if the cause is `null`

  - ### Method Detail

    - #### getCause

          public IOException getCause()

      Returns the cause of this exception.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.